<?php

namespace App\Service\SnipContent;

enum DiffTypeEnum: string
{
    case INSERT = 'I';
    case DELETE = 'D';
    case KEEP = 'K';

    public function is(string $diffType): bool
    {
        return $this->value === $diffType;
    }
}
